Package owl.ltl

## Class PropositionalFormula

- java.lang.Object
- - owl.ltl.Formula
  - - owl.ltl.Formula.LogicalOperator
    - - owl.ltl.PropositionalFormula

- All Implemented Interfaces:
    `Comparable<Formula>`
  Direct Known Subclasses:
    `Conjunction`, `Disjunction`

      public abstract class PropositionalFormula
      extends Formula.LogicalOperator

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class owl.ltl.Formula

      `Formula.LogicalOperator, Formula.ModalOperator, Formula.TemporalOperator`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Set<Formula>` | `children` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Set<Formula>` | `children()` |
    `protected int` | `compareToImpl​(Formula o)` |
    `protected boolean` | `equalsImpl​(Formula o)` |
    `boolean` | `isPureEventual()` |
    `boolean` | `isPureUniversal()` |
    `<T> Stream<T>` | `map​(Function<? super Formula,​? extends T> mapper)` |
    `protected abstract String` | `operatorSymbol()` |
    `static Formula` | `shortCircuit​(Formula formula)` |
    `String` | `toString()` |

    - ### Methods inherited from class owl.ltl.Formula.LogicalOperator

      `temporalStep, temporalStep, temporalStep, temporalStepUnfold, unfold, unfoldTemporalStep`

    - ### Methods inherited from class owl.ltl.Formula

      `accept, accept, accept, allMatch, anyMatch, atomicPropositions, compareTo, equals, hashCode, height, isSuspendable, nnf, not, subformulas, subformulas, subformulas, substitute`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### children

          public final Set<Formula> children

  - ### Method Detail

    - #### shortCircuit

          public static Formula shortCircuit​(Formula formula)

    - #### children

          public Set<Formula> children()

      Specified by:
        `children` in class `Formula`

    - #### isPureEventual

          public boolean isPureEventual()

      Specified by:
        `isPureEventual` in class `Formula`

    - #### isPureUniversal

          public boolean isPureUniversal()

      Specified by:
        `isPureUniversal` in class `Formula`

    - #### map

          public <T> Stream<T> map​(Function<? super Formula,​? extends T> mapper)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### compareToImpl

          protected final int compareToImpl​(Formula o)

      Specified by:
        `compareToImpl` in class `Formula`

    - #### equalsImpl

          protected final boolean equalsImpl​(Formula o)

      Specified by:
        `equalsImpl` in class `Formula`

    - #### operatorSymbol

          protected abstract String operatorSymbol()